Prev |  | Next

# FcAtomicCreate

## Name

FcAtomicCreate -- create an FcAtomic object

## Synopsis

    #include <fontconfig.h>

``FcAtomic * FcAtomicCreate`(const FcChar8 *file);`

## Description

Creates a data structure containing data needed to control access to `file`. Writing is done to a separate file. Once that file is complete, the original configuration file is atomically replaced so that reading process always see a consistent and complete file without the need to lock for reading.

## Version

Fontconfig version 2.3.2

Prev | Home | Next
FUNCTIONS | Up | FcAtomicLock